delete endpoint
curl --request DELETE \
--url https://console.vast.ai/api/v0/endptjobs/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://console.vast.ai/api/v0/endptjobs/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://console.vast.ai/api/v0/endptjobs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"deleted_workers": [
1001,
1002
],
"failed_workers": [],
"msg": "Deleted endpoint job and 2 workers"
}{
"success": false,
"error": "invalid_args",
"msg": "Routegroup not found for user"
}{
"success": false,
"error": "<string>",
"msg": "<string>"
}{
"detail": "API requests too frequent endpoint threshold=3.0"
}Serverless
delete endpoint
Deletes an endpoint group by ID. Associated workergroups will also be deleted.
CLI Usage: vastai delete endpoint <id>
DELETE
/
api
/
v0
/
endptjobs
/
{id}
delete endpoint
Authorizations
API key must be provided in the Authorization header
Path Parameters
ID of the endpoint group to delete
Example:
4242
Response
Endpoint group successfully deleted
Example:
true
List of worker instances that were deleted (if any)
Example:
[1001, 1002]
List of worker instances that failed to delete (if any)
Example:
[]
Additional information about the deletion
Example:
"Deleted endpoint job and 2 workers"
⌘I